# Makefile.in generated by automake 1.15.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Note to myself: documentation tends to call these "PROGRAMS" "targets".
# "joold" is a "target".

VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = joold$(EXEEXT)
subdir = joold
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__dirstamp = $(am__leading_dot)dirstamp
am_joold_OBJECTS = joold-joold.$(OBJEXT) joold-modsocket.$(OBJEXT) \
	joold-netsocket.$(OBJEXT) \
	../../common/netlink/joold-config.$(OBJEXT) \
	../../common/stateful/joold-xlat.$(OBJEXT) \
	../common/joold-cJSON.$(OBJEXT) ../common/joold-file.$(OBJEXT) \
	../common/joold-log.$(OBJEXT) \
	../common/joold-netlink2.$(OBJEXT) \
	../common/joold-str_utils.$(OBJEXT)
joold_OBJECTS = $(am_joold_OBJECTS)
am__DEPENDENCIES_1 =
joold_DEPENDENCIES = $(am__DEPENDENCIES_1)
joold_LINK = $(CCLD) $(joold_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(joold_SOURCES)
DIST_SOURCES = $(joold_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBNLGENL3_CFLAGS = @LIBNLGENL3_CFLAGS@
LIBNLGENL3_LIBS = @LIBNLGENL3_LIBS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
joold_SOURCES = \
	joold.c \
	modsocket.c \
	netsocket.c \
	../../common/netlink/config.c \
	../../common/stateful/xlat.c \
	../common/cJSON.c \
	../common/file.c \
	../common/log.c \
	../common/netlink2.c \
	../common/str_utils.c

joold_LDADD = ${LIBNLGENL3_LIBS}
joold_CFLAGS = -Wall -O2 -I${srcdir}/../../include \
	${LIBNLGENL3_CFLAGS} ${JOOL_FLAGS} -DJOOLD
all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu joold/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu joold/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
../../common/netlink/$(am__dirstamp):
	@$(MKDIR_P) ../../common/netlink
	@: > ../../common/netlink/$(am__dirstamp)
../../common/netlink/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) ../../common/netlink/$(DEPDIR)
	@: > ../../common/netlink/$(DEPDIR)/$(am__dirstamp)
../../common/netlink/joold-config.$(OBJEXT):  \
	../../common/netlink/$(am__dirstamp) \
	../../common/netlink/$(DEPDIR)/$(am__dirstamp)
../../common/stateful/$(am__dirstamp):
	@$(MKDIR_P) ../../common/stateful
	@: > ../../common/stateful/$(am__dirstamp)
../../common/stateful/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) ../../common/stateful/$(DEPDIR)
	@: > ../../common/stateful/$(DEPDIR)/$(am__dirstamp)
../../common/stateful/joold-xlat.$(OBJEXT):  \
	../../common/stateful/$(am__dirstamp) \
	../../common/stateful/$(DEPDIR)/$(am__dirstamp)
../common/$(am__dirstamp):
	@$(MKDIR_P) ../common
	@: > ../common/$(am__dirstamp)
../common/$(DEPDIR)/$(am__dirstamp):
	@$(MKDIR_P) ../common/$(DEPDIR)
	@: > ../common/$(DEPDIR)/$(am__dirstamp)
../common/joold-cJSON.$(OBJEXT): ../common/$(am__dirstamp) \
	../common/$(DEPDIR)/$(am__dirstamp)
../common/joold-file.$(OBJEXT): ../common/$(am__dirstamp) \
	../common/$(DEPDIR)/$(am__dirstamp)
../common/joold-log.$(OBJEXT): ../common/$(am__dirstamp) \
	../common/$(DEPDIR)/$(am__dirstamp)
../common/joold-netlink2.$(OBJEXT): ../common/$(am__dirstamp) \
	../common/$(DEPDIR)/$(am__dirstamp)
../common/joold-str_utils.$(OBJEXT): ../common/$(am__dirstamp) \
	../common/$(DEPDIR)/$(am__dirstamp)

joold$(EXEEXT): $(joold_OBJECTS) $(joold_DEPENDENCIES) $(EXTRA_joold_DEPENDENCIES) 
	@rm -f joold$(EXEEXT)
	$(AM_V_CCLD)$(joold_LINK) $(joold_OBJECTS) $(joold_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)
	-rm -f ../../common/netlink/*.$(OBJEXT)
	-rm -f ../../common/stateful/*.$(OBJEXT)
	-rm -f ../common/*.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@../../common/netlink/$(DEPDIR)/joold-config.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@../../common/stateful/$(DEPDIR)/joold-xlat.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@../common/$(DEPDIR)/joold-cJSON.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@../common/$(DEPDIR)/joold-file.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@../common/$(DEPDIR)/joold-log.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@../common/$(DEPDIR)/joold-netlink2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@../common/$(DEPDIR)/joold-str_utils.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/joold-joold.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/joold-modsocket.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/joold-netsocket.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

joold-joold.o: joold.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT joold-joold.o -MD -MP -MF $(DEPDIR)/joold-joold.Tpo -c -o joold-joold.o `test -f 'joold.c' || echo '$(srcdir)/'`joold.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/joold-joold.Tpo $(DEPDIR)/joold-joold.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='joold.c' object='joold-joold.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o joold-joold.o `test -f 'joold.c' || echo '$(srcdir)/'`joold.c

joold-joold.obj: joold.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT joold-joold.obj -MD -MP -MF $(DEPDIR)/joold-joold.Tpo -c -o joold-joold.obj `if test -f 'joold.c'; then $(CYGPATH_W) 'joold.c'; else $(CYGPATH_W) '$(srcdir)/joold.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/joold-joold.Tpo $(DEPDIR)/joold-joold.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='joold.c' object='joold-joold.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o joold-joold.obj `if test -f 'joold.c'; then $(CYGPATH_W) 'joold.c'; else $(CYGPATH_W) '$(srcdir)/joold.c'; fi`

joold-modsocket.o: modsocket.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT joold-modsocket.o -MD -MP -MF $(DEPDIR)/joold-modsocket.Tpo -c -o joold-modsocket.o `test -f 'modsocket.c' || echo '$(srcdir)/'`modsocket.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/joold-modsocket.Tpo $(DEPDIR)/joold-modsocket.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='modsocket.c' object='joold-modsocket.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o joold-modsocket.o `test -f 'modsocket.c' || echo '$(srcdir)/'`modsocket.c

joold-modsocket.obj: modsocket.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT joold-modsocket.obj -MD -MP -MF $(DEPDIR)/joold-modsocket.Tpo -c -o joold-modsocket.obj `if test -f 'modsocket.c'; then $(CYGPATH_W) 'modsocket.c'; else $(CYGPATH_W) '$(srcdir)/modsocket.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/joold-modsocket.Tpo $(DEPDIR)/joold-modsocket.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='modsocket.c' object='joold-modsocket.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o joold-modsocket.obj `if test -f 'modsocket.c'; then $(CYGPATH_W) 'modsocket.c'; else $(CYGPATH_W) '$(srcdir)/modsocket.c'; fi`

joold-netsocket.o: netsocket.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT joold-netsocket.o -MD -MP -MF $(DEPDIR)/joold-netsocket.Tpo -c -o joold-netsocket.o `test -f 'netsocket.c' || echo '$(srcdir)/'`netsocket.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/joold-netsocket.Tpo $(DEPDIR)/joold-netsocket.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='netsocket.c' object='joold-netsocket.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o joold-netsocket.o `test -f 'netsocket.c' || echo '$(srcdir)/'`netsocket.c

joold-netsocket.obj: netsocket.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT joold-netsocket.obj -MD -MP -MF $(DEPDIR)/joold-netsocket.Tpo -c -o joold-netsocket.obj `if test -f 'netsocket.c'; then $(CYGPATH_W) 'netsocket.c'; else $(CYGPATH_W) '$(srcdir)/netsocket.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/joold-netsocket.Tpo $(DEPDIR)/joold-netsocket.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='netsocket.c' object='joold-netsocket.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o joold-netsocket.obj `if test -f 'netsocket.c'; then $(CYGPATH_W) 'netsocket.c'; else $(CYGPATH_W) '$(srcdir)/netsocket.c'; fi`

../../common/netlink/joold-config.o: ../../common/netlink/config.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../../common/netlink/joold-config.o -MD -MP -MF ../../common/netlink/$(DEPDIR)/joold-config.Tpo -c -o ../../common/netlink/joold-config.o `test -f '../../common/netlink/config.c' || echo '$(srcdir)/'`../../common/netlink/config.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../../common/netlink/$(DEPDIR)/joold-config.Tpo ../../common/netlink/$(DEPDIR)/joold-config.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../../common/netlink/config.c' object='../../common/netlink/joold-config.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../../common/netlink/joold-config.o `test -f '../../common/netlink/config.c' || echo '$(srcdir)/'`../../common/netlink/config.c

../../common/netlink/joold-config.obj: ../../common/netlink/config.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../../common/netlink/joold-config.obj -MD -MP -MF ../../common/netlink/$(DEPDIR)/joold-config.Tpo -c -o ../../common/netlink/joold-config.obj `if test -f '../../common/netlink/config.c'; then $(CYGPATH_W) '../../common/netlink/config.c'; else $(CYGPATH_W) '$(srcdir)/../../common/netlink/config.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../../common/netlink/$(DEPDIR)/joold-config.Tpo ../../common/netlink/$(DEPDIR)/joold-config.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../../common/netlink/config.c' object='../../common/netlink/joold-config.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../../common/netlink/joold-config.obj `if test -f '../../common/netlink/config.c'; then $(CYGPATH_W) '../../common/netlink/config.c'; else $(CYGPATH_W) '$(srcdir)/../../common/netlink/config.c'; fi`

../../common/stateful/joold-xlat.o: ../../common/stateful/xlat.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../../common/stateful/joold-xlat.o -MD -MP -MF ../../common/stateful/$(DEPDIR)/joold-xlat.Tpo -c -o ../../common/stateful/joold-xlat.o `test -f '../../common/stateful/xlat.c' || echo '$(srcdir)/'`../../common/stateful/xlat.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../../common/stateful/$(DEPDIR)/joold-xlat.Tpo ../../common/stateful/$(DEPDIR)/joold-xlat.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../../common/stateful/xlat.c' object='../../common/stateful/joold-xlat.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../../common/stateful/joold-xlat.o `test -f '../../common/stateful/xlat.c' || echo '$(srcdir)/'`../../common/stateful/xlat.c

../../common/stateful/joold-xlat.obj: ../../common/stateful/xlat.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../../common/stateful/joold-xlat.obj -MD -MP -MF ../../common/stateful/$(DEPDIR)/joold-xlat.Tpo -c -o ../../common/stateful/joold-xlat.obj `if test -f '../../common/stateful/xlat.c'; then $(CYGPATH_W) '../../common/stateful/xlat.c'; else $(CYGPATH_W) '$(srcdir)/../../common/stateful/xlat.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../../common/stateful/$(DEPDIR)/joold-xlat.Tpo ../../common/stateful/$(DEPDIR)/joold-xlat.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../../common/stateful/xlat.c' object='../../common/stateful/joold-xlat.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../../common/stateful/joold-xlat.obj `if test -f '../../common/stateful/xlat.c'; then $(CYGPATH_W) '../../common/stateful/xlat.c'; else $(CYGPATH_W) '$(srcdir)/../../common/stateful/xlat.c'; fi`

../common/joold-cJSON.o: ../common/cJSON.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-cJSON.o -MD -MP -MF ../common/$(DEPDIR)/joold-cJSON.Tpo -c -o ../common/joold-cJSON.o `test -f '../common/cJSON.c' || echo '$(srcdir)/'`../common/cJSON.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-cJSON.Tpo ../common/$(DEPDIR)/joold-cJSON.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/cJSON.c' object='../common/joold-cJSON.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-cJSON.o `test -f '../common/cJSON.c' || echo '$(srcdir)/'`../common/cJSON.c

../common/joold-cJSON.obj: ../common/cJSON.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-cJSON.obj -MD -MP -MF ../common/$(DEPDIR)/joold-cJSON.Tpo -c -o ../common/joold-cJSON.obj `if test -f '../common/cJSON.c'; then $(CYGPATH_W) '../common/cJSON.c'; else $(CYGPATH_W) '$(srcdir)/../common/cJSON.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-cJSON.Tpo ../common/$(DEPDIR)/joold-cJSON.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/cJSON.c' object='../common/joold-cJSON.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-cJSON.obj `if test -f '../common/cJSON.c'; then $(CYGPATH_W) '../common/cJSON.c'; else $(CYGPATH_W) '$(srcdir)/../common/cJSON.c'; fi`

../common/joold-file.o: ../common/file.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-file.o -MD -MP -MF ../common/$(DEPDIR)/joold-file.Tpo -c -o ../common/joold-file.o `test -f '../common/file.c' || echo '$(srcdir)/'`../common/file.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-file.Tpo ../common/$(DEPDIR)/joold-file.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/file.c' object='../common/joold-file.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-file.o `test -f '../common/file.c' || echo '$(srcdir)/'`../common/file.c

../common/joold-file.obj: ../common/file.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-file.obj -MD -MP -MF ../common/$(DEPDIR)/joold-file.Tpo -c -o ../common/joold-file.obj `if test -f '../common/file.c'; then $(CYGPATH_W) '../common/file.c'; else $(CYGPATH_W) '$(srcdir)/../common/file.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-file.Tpo ../common/$(DEPDIR)/joold-file.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/file.c' object='../common/joold-file.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-file.obj `if test -f '../common/file.c'; then $(CYGPATH_W) '../common/file.c'; else $(CYGPATH_W) '$(srcdir)/../common/file.c'; fi`

../common/joold-log.o: ../common/log.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-log.o -MD -MP -MF ../common/$(DEPDIR)/joold-log.Tpo -c -o ../common/joold-log.o `test -f '../common/log.c' || echo '$(srcdir)/'`../common/log.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-log.Tpo ../common/$(DEPDIR)/joold-log.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/log.c' object='../common/joold-log.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-log.o `test -f '../common/log.c' || echo '$(srcdir)/'`../common/log.c

../common/joold-log.obj: ../common/log.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-log.obj -MD -MP -MF ../common/$(DEPDIR)/joold-log.Tpo -c -o ../common/joold-log.obj `if test -f '../common/log.c'; then $(CYGPATH_W) '../common/log.c'; else $(CYGPATH_W) '$(srcdir)/../common/log.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-log.Tpo ../common/$(DEPDIR)/joold-log.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/log.c' object='../common/joold-log.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-log.obj `if test -f '../common/log.c'; then $(CYGPATH_W) '../common/log.c'; else $(CYGPATH_W) '$(srcdir)/../common/log.c'; fi`

../common/joold-netlink2.o: ../common/netlink2.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-netlink2.o -MD -MP -MF ../common/$(DEPDIR)/joold-netlink2.Tpo -c -o ../common/joold-netlink2.o `test -f '../common/netlink2.c' || echo '$(srcdir)/'`../common/netlink2.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-netlink2.Tpo ../common/$(DEPDIR)/joold-netlink2.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/netlink2.c' object='../common/joold-netlink2.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-netlink2.o `test -f '../common/netlink2.c' || echo '$(srcdir)/'`../common/netlink2.c

../common/joold-netlink2.obj: ../common/netlink2.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-netlink2.obj -MD -MP -MF ../common/$(DEPDIR)/joold-netlink2.Tpo -c -o ../common/joold-netlink2.obj `if test -f '../common/netlink2.c'; then $(CYGPATH_W) '../common/netlink2.c'; else $(CYGPATH_W) '$(srcdir)/../common/netlink2.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-netlink2.Tpo ../common/$(DEPDIR)/joold-netlink2.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/netlink2.c' object='../common/joold-netlink2.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-netlink2.obj `if test -f '../common/netlink2.c'; then $(CYGPATH_W) '../common/netlink2.c'; else $(CYGPATH_W) '$(srcdir)/../common/netlink2.c'; fi`

../common/joold-str_utils.o: ../common/str_utils.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-str_utils.o -MD -MP -MF ../common/$(DEPDIR)/joold-str_utils.Tpo -c -o ../common/joold-str_utils.o `test -f '../common/str_utils.c' || echo '$(srcdir)/'`../common/str_utils.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-str_utils.Tpo ../common/$(DEPDIR)/joold-str_utils.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/str_utils.c' object='../common/joold-str_utils.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-str_utils.o `test -f '../common/str_utils.c' || echo '$(srcdir)/'`../common/str_utils.c

../common/joold-str_utils.obj: ../common/str_utils.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -MT ../common/joold-str_utils.obj -MD -MP -MF ../common/$(DEPDIR)/joold-str_utils.Tpo -c -o ../common/joold-str_utils.obj `if test -f '../common/str_utils.c'; then $(CYGPATH_W) '../common/str_utils.c'; else $(CYGPATH_W) '$(srcdir)/../common/str_utils.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) ../common/$(DEPDIR)/joold-str_utils.Tpo ../common/$(DEPDIR)/joold-str_utils.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='../common/str_utils.c' object='../common/joold-str_utils.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(joold_CFLAGS) $(CFLAGS) -c -o ../common/joold-str_utils.obj `if test -f '../common/str_utils.c'; then $(CYGPATH_W) '../common/str_utils.c'; else $(CYGPATH_W) '$(srcdir)/../common/str_utils.c'; fi`

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
	for dir in "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-rm -f ../../common/netlink/$(DEPDIR)/$(am__dirstamp)
	-rm -f ../../common/netlink/$(am__dirstamp)
	-rm -f ../../common/stateful/$(DEPDIR)/$(am__dirstamp)
	-rm -f ../../common/stateful/$(am__dirstamp)
	-rm -f ../common/$(DEPDIR)/$(am__dirstamp)
	-rm -f ../common/$(am__dirstamp)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic mostlyclean-am

distclean: distclean-am
	-rm -rf ../../common/netlink/$(DEPDIR) ../../common/stateful/$(DEPDIR) ../common/$(DEPDIR) ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ../../common/netlink/$(DEPDIR) ../../common/stateful/$(DEPDIR) ../common/$(DEPDIR) ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic cscopelist-am ctags ctags-am \
	distclean distclean-compile distclean-generic distclean-tags \
	distdir dvi dvi-am html html-am info info-am install \
	install-am install-binPROGRAMS install-data install-data-am \
	install-dvi install-dvi-am install-exec install-exec-am \
	install-html install-html-am install-info install-info-am \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
	ps ps-am tags tags-am uninstall uninstall-am \
	uninstall-binPROGRAMS

.PRECIOUS: Makefile

#man_MANS = joold.8

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
